# Verify Contract (Using Solidity metadata.json)

{% hint style="warning" %}
**Note:** This API uses `https://verify-api.vechainstats.com` instead of the standard `https://api.vechainstats.com`base URL.
{% endhint %}

Endpoint to submit a verification with the Solidity [metadata.json](https://docs.soliditylang.org/en/latest/metadata.html)

```
https://verify-api.vechainstats.com/v2/verify/metadata/100009/{address}
```

{% tabs %}
{% tab title="Request" %}

<pre class="language-json"><code class="lang-json">Request body example:

<strong>{
</strong>  "sources": {
    "contracts/Storage.sol": "// SPDX-License-Identifier: MIT\npragma solidity ^0.8.0;\n\ncontract Storage {\n    uint256 number;\n\n    function setNumber(uint256 newNumber) public {\n        number = newNumber;\n    }\n\n    function getNumber() public view returns (uint256) {\n        return number;\n    }\n}\n",
    "contracts/Owner.sol": "// SPDX-License-Identifier: MIT\npragma solidity ^0.8.0;\n\ncontract Owner {\n    address public owner;\n\n    constructor() {\n        owner = msg.sender;\n    }\n}\n"
  },
  "metadata": {}
}
</code></pre>

{% endtab %}

{% tab title="Response" %}

```json
{
  "verificationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vechainstats.com/api-endpoints/contract-verification/verify-contract-using-solidity-metadata-json.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
